Subject: RE: [Ltru] comments in the registries ( was [psg.com #1099] WGLC addempty extension registry)

From: "Addison Phillips" <[email-masked]>
Date: Mon, 15 Aug 2005 12:00:51 -0700

Note: a trip to the ABNF validator produces a minor change in the proposed ABNF for record-jar:

registry   = *( 1*separator record )
separator  = "%%" *ASCCHAR CRLF
record     = 1*( field-name *SP ":" *SP field-body CRLF )
field-name = (ALPHA / DIGIT) [ *(ALPHA / DIGIT / "-") (ALPHA / DIGIT) ]
field-body = *(ASCCHAR/LWSP)
ASCCHAR    = %x21-25 / %x27-7E / UNICHAR ; Note: AMPERSAND is %x26
UNICHAR    = "&#x" 2*6HEXDIG ";"

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Addison Phillips
> Sent: 2005?8?15? 9:24
> To: Kent Karlsson; Randy Presuhn
> Cc: LTRU Working Group
> Subject: RE: [Ltru] comments in the registries ( was [psg.com #1099] WGLC
> addempty extension registry)
> 
> I hate it.
> 
> I dislike the additional normative language, which is unnecessary (we had
> a thread on that topic). MUSTardizing that section consistently would
> produce an unreadable mess.
> 
> Admittedly the comment in the empty extensions registration was incorrect.
> Hmm... the idea of allowing comments into the file that are not part of
> the records is a good one, I believe. Nearly every text format I am
> familiar with provides a mechanism of this nature and their uses are quite
> extensive.
> 
> This would require a very small modification in the ABNF of record-jar, as
> follows:
> 
> -- was --
> registry   = record *("%%" CRLF record)
> record     = 1*( field-name *SP ":" *SP field-body CRLF )
> field-name = (ALPHA / DIGIT)[*(ALPHA / DIGIT / "-") (ALPHA / DIGIT)]
> field-body = *(ASCCHAR/LWSP)
> ASCCHAR    = %x21-25 / %x27-7E / UNICHAR ; Note: AMPERSAND is %x26
> UNICHAR    = "&#x" 2*6HEXDIG ";"
> --
> 
> -- proposed --
> registry   = *( 1*(separator) record)
> separator  = "%%" *ASCCHAR CRLF
> record     = 1*( field-name *SP ":" *SP field-body CRLF )
> field-name = (ALPHA / DIGIT)[*(ALPHA / DIGIT / "-") (ALPHA / DIGIT)]
> field-body = *(ASCCHAR/LWSP)
> ASCCHAR    = %x21-25 / %x27-7E / UNICHAR ; Note: AMPERSAND is %x26
> UNICHAR    = "&#x" 2*6HEXDIG ";"
> --
> 
> We then add one sentence to explain this:
> 
> --
> Characters appearing on the same line as a separator are comments that are
> not part of any particular record.
> --
> 
> This would allow (require, actually) the introducing comment, as well as
> allowing editorial notes:
> 
> %% IANA Language Subtag Registry
> File-Date: 2005-08-15
> %%
> %% derived from ISO 639-1
> %%
> Subtag: ...
> 
> 
> Comments?
> 
> Addison
> 
> Addison P. Phillips
> Globalization Architect, Quest Software
> Chair, W3C Internationalization Core Working Group
> 
> Internationalization is not a feature.
> It is an architecture.
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> On
> > Behalf Of Kent Karlsson
> > Sent: 2005?8?15? 0:59
> > To: Randy Presuhn
> > Cc: LTRU Working Group
> > Subject: Re: [Ltru] [psg.com #1099] WGLC add empty extension registry
> >
> > > I disagree.  Section 3.6 says "[t]his registry MUST use the record-jar
> > > format described by the ABNF in Section 3.1."  That would give it a
> > > File-Date record.
> >
> > Not directly by the ABNF, but by the text following it.
> >
> > Since I like the file self declarations, I would suggest to
> > make the following text replacement, with obvious consequences:
> >
> > ---------------------OLD TEXT-----------------
> > The first record in the file contains the single field whose field-name
> is
> > "File-Date".
> > The field-body of this record contains the last modification date of
> this
> > copy of the registry,
> > making it possible to compare different versions of the registry. The
> > registry on the IANA
> > website is the most current. Versions with an older date than that one
> are
> > not up-to-date.
> >
> > File-Date: 2004-06-28
> > %%
> > ---------------------NEW TEXT-----------------
> > The first record in the file SHALL contain two fields whose field-names
> > are "File-Date" and "Description".
> > The field-body of the "File-Date" field of this record SHALL contain the
> > last modification date of this copy
> > of the registry. This makes it possible to compare different versions of
> > the registry. The registry on the
> > IANA website is the most current. Versions with an older date than that
> > one are not up-to-date.
> > The field-body of the "Description" field SHALL contain a short comment
> on
> > what the content of the
> > registry is. For example,
> >
> > File-Date: 2004-06-28
> > Description: IANA Language subtag registry (see RFC XXXX)
> > -----------------------------------------
> >
> > This would then apply to both registries. (Maybe some other sentence
> needs
> > to be amended too.) Note the introduction of the "SHALL"s above, to make
> > it proper standardese.
> >
> >    /kent k
> >
> >
> >
> > _______________________________________________
> > Ltru mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ltru
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru